Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Offer_Id_Iterator Class Reference

`#include <Offer_Iterators.h>`

Inheritance diagram for TAO_Offer_Id_Iterator:

[legend]
Collaboration diagram for TAO_Offer_Id_Iterator:

[legend]
List of all members.

## Public Methods
| TAO_Offer_Id_Iterator (void)
| No op constructor.
| ~TAO_Offer_Id_Iterator (void)
virtual CORBA::ULong | max_left (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException, CosTrading::UnknownMaxLeft)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Boolean | next_n (CORBA::ULong _n, CosTrading::OfferIdSeq_out _ids ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
void | insert_id (CosTrading::OfferId new_id)
| Insert a <new_id> into the contents of the iterator.
## Private Methods
| TAO_Offer_Id_Iterator (const TAO_Offer_Id_Iterator &)
TAO_Offer_Id_Iterator & | operator= (TAO_Offer_Id_Iterator &)
## Private Attributes
TAO_String_Queue | ids_

## Constructor & Destructor Documentation

TAO_Offer_Id_Iterator::TAO_Offer_Id_Iterator | ( | void |  | ) |

| No op constructor.

TAO_Offer_Id_Iterator::~TAO_Offer_Id_Iterator | ( | void |  | ) |

TAO_Offer_Id_Iterator::TAO_Offer_Id_Iterator | ( | const TAO_Offer_Id_Iterator & |  | ) | `[private]`

## Member Function Documentation

void TAO_Offer_Id_Iterator::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| The destroy operation destroys the iterator. No further operations can be invoked on an iterator after it has been destroyed.

void TAO_Offer_Id_Iterator::insert_id | ( | CosTrading::OfferId | new_id | ) |

| Insert a <new_id> into the contents of the iterator.

CORBA::ULong TAO_Offer_Id_Iterator::max_left | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException, CosTrading::UnknownMaxLeft)`[virtual]`

| The max_left operation returns the number of offer identifiers remaining in the iterator. The exception UnknownMaxLeft is raised if the iterator cannot determine the remaining number of offer identifiers (e.g., if the iterator determines its set of offer identifiers through lazy evaluation).

CORBA::Boolean TAO_Offer_Id_Iterator::next_n | ( | CORBA::ULong | _n,
|  | CosTrading::OfferIdSeq_out _ids | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException)`[virtual]`

| The next_n operation returns a set of offer identifiers in the output parameter "ids." The operation returns n offer identifiers if there are at least n offer identifiers remaining in the iterator. If there are fewer than n offer identifiers in the iterator, then all remaining offer identifiers are returned. The actual number of offer identifiers returned can be determined from the length of the "ids" sequence. The next_n operation returns TRUE if there are further offer identifiers to be extracted from the iterator. It returns FALSE if there are no further offer identifiers to be extracted.

TAO_Offer_Id_Iterator& TAO_Offer_Id_Iterator::operator= | ( | TAO_Offer_Id_Iterator & |  | ) | `[private]`

## Member Data Documentation

TAO_String_Queue TAO_Offer_Id_Iterator::ids_`[private]`

The documentation for this class was generated from the following files:

- Offer_Iterators.h
- Offer_Iterators.cpp